/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: SwingSession.java,v 1.7 2001/12/22 12:14:07 max Exp $
 *
 */

package make.swing;

import java.util.Locale;
import java.util.Enumeration;
import java.awt.datatransfer.Clipboard;
import make.swing.progress.ProgressIndicatorFactory;
import make.swing.panel.InterfacePanel;

public interface SwingSession {
    Locale getLocale();
    Enumeration getActions();
    InterfacePanel createInterfacePanel();
    Clipboard getClipboard();
    ProgressIndicatorFactory getProgressIndicatorFactory();
}
